# Created by pyp2rpm-3.3.2
%global pypi_name confusable-homoglyphs

Name:           python-%{pypi_name}
Version:        3.2.0
Release:        %mkrel 9
Summary:        Detect confusable usage of unicode homoglyphs, prevent homograph attacks
Group:          Development/Python
License:        MIT
URL:            https://github.com/vhf/confusable_homoglyphs
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/confusable_homoglyphs-%{version}.tar.gz
# For python 3.12
Patch0:         fc6257e8c8a7d32850da72a1a6847a481bd86e8b.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(click)

%description
Detect confusable usage of unicode homoglyphs, prevent homograph attacks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click)

%description -n python3-%{pypi_name}
Detect confusable usage of unicode homoglyphs, prevent homograph attacks.

%prep
%autosetup -n confusable_homoglyphs-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files confusable_homoglyphs

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst docs/readme.rst
%doc html
%{_bindir}/confusable_homoglyphs


%changelog
* Sun Mar 02 2025 wally <wally> 3.2.0-9.mga10
+ Revision: 2156877
- rebuild for python3.13

* Fri Dec 27 2024 papoteur <papoteur> 3.2.0-8.mga10
+ Revision: 2130409
- add and use pytest

* Mon Jan 22 2024 papoteur <papoteur> 3.2.0-7.mga10
+ Revision: 2033520
- fix build with python 3.12 with patch against versioneer.py
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 3.2.0-6.mga9
+ Revision: 1833353
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 3.2.0-5.mga9
+ Revision: 1785517
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.2.0-4.mga9
+ Revision: 1733262
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.2.0-3.mga8
+ Revision: 1535092
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 3.2.0-2.mga8
+ Revision: 1451530
- rebuild with python 3.8

* Sat Aug 24 2019 wally <wally> 3.2.0-1.mga8
+ Revision: 1431767
- imported package python-confusable-homoglyphs

